
      import { Temporal } from "@js-temporal/polyfill";
      import { URLPattern } from "urlpattern-polyfill";
      globalThis.addEventListener = () => {};
    
import { LanguageString } from "../type-BSR-vRXo.js";
import { assertEquals } from "../assert_equals-DSbWqCm3.js";
import "../assert-MZs1qjMx.js";
import "../assert_instance_of-DHz7EHNU.js";
import "../lookup-q8DeFAjR.js";
import { test } from "../testing-Cqwzq9nj.js";
import "../std__assert-X-_kMxKM.js";
import "../assert_rejects-DiIiJbZn.js";
import "../assert_is_error-BPGph1Jx.js";
import "../assert_not_equals-f3m3epl3.js";
import "../assert_throws-BOO88avQ.js";
import util from "node:util";

//#region src/runtime/langstr.test.ts
test("new LanguageString()", () => {
	const langStr = new LanguageString("Hello", "en");
	assertEquals(langStr.toString(), "Hello");
	assertEquals(langStr.locale, new Intl.Locale("en"));
	assertEquals(new LanguageString("Hello", new Intl.Locale("en")), langStr);
});
test({
	name: "Deno.inspect(LanguageString)",
	ignore: !("Deno" in globalThis),
	fn() {
		const langStr = new LanguageString("Hello, 'world'", "en");
		assertEquals(Deno.inspect(langStr, { colors: false }), "<en> \"Hello, 'world'\"");
	}
});
test("util.inspect(LanguageString)", () => {
	const langStr = new LanguageString("Hello, 'world'", "en");
	assertEquals(util.inspect(langStr, { colors: false }), "<en> \"Hello, 'world'\"");
});

//#endregion